package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业务评分对象 care_scores
 * 
 * @author qy
 * @date 2024-11-26
 */
public class CareScores extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 业务评分表的唯一标识符 */
    private Long scoreId;

    /** 护理业务数据id */
    @Excel(name = "护理业务数据id")
    private Long applyId;

    /** 评分人id */
    @Excel(name = "评分人id")
    private String userId;

    /** 评价 */
    @Excel(name = "评价")
    private String assess;

    /** 得此评价原因 */
    @Excel(name = "得此评价原因")
    private String reason;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setScoreId(Long scoreId) 
    {
        this.scoreId = scoreId;
    }

    public Long getScoreId() 
    {
        return scoreId;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }
    public void setAssess(String assess) 
    {
        this.assess = assess;
    }

    public String getAssess() 
    {
        return assess;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreId", getScoreId())
            .append("applyId", getApplyId())
            .append("userId", getUserId())
            .append("assess", getAssess())
            .append("reason", getReason())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
